<?php

namespace ProjectManagers\ProjectManager\Seeds;

use DB;
use Illuminate\Database\Seeder;

class ManagerTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('managers')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'project_manager.manager.view',
                'name'      => 'View Manager',
            ],
            [
                'slug'      => 'project_manager.manager.create',
                'name'      => 'Create Manager',
            ],
            [
                'slug'      => 'project_manager.manager.edit',
                'name'      => 'Update Manager',
            ],
            [
                'slug'      => 'project_manager.manager.delete',
                'name'      => 'Delete Manager',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/project_manager/manager',
                'name'        => 'Manager',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/project_manager/manager',
                'name'        => 'Manager',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'manager',
                'name'        => 'Manager',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'ProjectManager',
                'module'    => 'Manager',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'project_manager.manager.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
